Package rtslib :: Module tcm :: Class StorageObjectFactory

[hide private]
[frames] | no frames]

# Class StorageObjectFactory

    object --+
             |
            StorageObjectFactory

Create a storage object based on a given path. Only works for file & block.

Instance Methods | [hide private]

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods | [hide private]

a new object with type S, a subtype of T

__new__(cls, path) |

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __new__(cls, path)
Static Method

Returns: a new object with type S, a subtype of T
Overrides: object.__new__
  (inherited documentation)